Require Import Arith.
Require Import List.

Section s5.
  Fixpoint id (n : nat) : list nat :=
    match n with
      | O => nil
      | S n' => n' :: id n'
    end.
  
  Definition swap (s : nat*nat) (k : nat) : nat :=
    let (i, j) := s in
    match (beq_nat i k), (beq_nat j k) with
      | true, false => j
      | false, true => i
      | _, _ => k
    end.

  Print map.
  Definition permlist (s : nat*nat) (l0 : list nat) : list nat := map (swap s) l0.


End s5.